// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Database.Designer {
    
    
    public partial class PreviewDialog {
        
        private Gtk.VBox vboxContent;
        
        private MonoDevelop.Database.Components.SqlEditorWidget sqlEditor;
        
        private Gtk.Button buttonCancel;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Database.Designer.PreviewDialog
            this.Name = "MonoDevelop.Database.Designer.PreviewDialog";
            this.Title = AddinCatalog.GetString("Preview");
            this.TypeHint = ((Gdk.WindowTypeHint)(1));
            this.WindowPosition = ((Gtk.WindowPosition)(1));
            this.SkipTaskbarHint = true;
            this.HasSeparator = false;
            // Internal child MonoDevelop.Database.Designer.PreviewDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.BorderWidth = ((uint)(2));
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.vboxContent = new Gtk.VBox();
            this.vboxContent.Name = "vboxContent";
            this.vboxContent.Spacing = 6;
            // Container child vboxContent.Gtk.Box+BoxChild
            this.sqlEditor = new MonoDevelop.Database.Components.SqlEditorWidget();
            this.sqlEditor.Events = ((Gdk.EventMask)(256));
            this.sqlEditor.Name = "sqlEditor";
            this.sqlEditor.Editable = false;
            this.vboxContent.Add(this.sqlEditor);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vboxContent[this.sqlEditor]));
            w2.Position = 0;
            w1.Add(this.vboxContent);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(w1[this.vboxContent]));
            w3.Position = 0;
            // Internal child MonoDevelop.Database.Designer.PreviewDialog.ActionArea
            Gtk.HButtonBox w4 = this.ActionArea;
            w4.Name = "dialog1_ActionArea";
            w4.Spacing = 6;
            w4.BorderWidth = ((uint)(5));
            w4.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonCancel = new Gtk.Button();
            this.buttonCancel.CanDefault = true;
            this.buttonCancel.CanFocus = true;
            this.buttonCancel.Name = "buttonCancel";
            this.buttonCancel.UseStock = true;
            this.buttonCancel.UseUnderline = true;
            this.buttonCancel.Label = "gtk-cancel";
            this.AddActionWidget(this.buttonCancel, -6);
            Gtk.ButtonBox.ButtonBoxChild w5 = ((Gtk.ButtonBox.ButtonBoxChild)(w4[this.buttonCancel]));
            w5.Expand = false;
            w5.Fill = false;
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.Sensitive = false;
            this.buttonOk.CanDefault = true;
            this.buttonOk.CanFocus = true;
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            this.AddActionWidget(this.buttonOk, -5);
            Gtk.ButtonBox.ButtonBoxChild w6 = ((Gtk.ButtonBox.ButtonBoxChild)(w4[this.buttonOk]));
            w6.Position = 1;
            w6.Expand = false;
            w6.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 528;
            this.DefaultHeight = 382;
            this.Show();
            this.buttonCancel.Clicked += new System.EventHandler(this.CancelClicked);
            this.buttonOk.Clicked += new System.EventHandler(this.OkClicked);
        }
    }
}
